import algo3/process

int def test_loggabor():
    int nscales = 1
    double min_wavelength = 36.0
    double mult = 1.0
    double sigmaOnf = 0.5

    Image *v = image_new(None, 4, 4, IT_FLOAT)
    for int j = 0; j < 4; j++:
        for int i = 0; i < 4; i++:
            v->data.v[i * 4 + j] = 1 + i + j * 4;
    complex *E0 = gabor_convolve(v->data.v, v->w, v->h, nscales, min_wavelength, mult, sigmaOnf)

    for int i = 0; i < 4; i++:
        printf("%f %f\n", creal(E0[i]), cimag(E0[i]))

    return 0